#include "validator.h"

void run() {
    int maxn = toml<int>("MAXN");
    int maxq = toml<int>("MAXQ");
    int maxa = toml<int>("MAXA");
    long long mink = toml<long long>("MINK");
    long long maxk = toml<long long>("MAXK");

    int n = Int(1, maxn);
    Space();
    int q = Int(1, maxq);
    Endl();

    vector<int> a = SpacedInts(n, 1, maxa);
    
    for (int i = 0; i < q; i++) {
        Int(mink, maxk);
        Endl();
    }
    
    Eof();
}
